Relationships
Batch link / unlink
Link or unlink up to 1000 relationships in one request.
POST
/
api
/
v1
/
cdp
/
relationships
/
batch
Batch link / unlink
curl --request POST \
--url https://www.useboom.ai/api/v1/cdp/relationships/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"kind": "<string>",
"personExternalId": "<string>",
"customObjectExternalId": "<string>",
"relationshipTypeId": "<string>",
"remove": true
}
]
}
'import requests
url = "https://www.useboom.ai/api/v1/cdp/relationships/batch"
payload = { "items": [
{
"kind": "<string>",
"personExternalId": "<string>",
"customObjectExternalId": "<string>",
"relationshipTypeId": "<string>",
"remove": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
kind: '<string>',
personExternalId: '<string>',
customObjectExternalId: '<string>',
relationshipTypeId: '<string>',
remove: true
}
]
})
};
fetch('https://www.useboom.ai/api/v1/cdp/relationships/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"total": 0,
"created": 0,
"reactivated": 0,
"removed": 0,
"failed": 0
},
"errors": [
{
"index": 0,
"error": {
"code": "<string>",
"message": "<string>"
},
"externalId": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Organization API key, sent as Authorization: Bearer boom_org_....
Body
application/json
Relationships to link or unlink.
Required array length:
1 - 1000 elements- Option 1
- Option 2
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Batch link / unlink
